/**
 * 注册请求
 * 
 */
import { z } from "zod";

export const RegisterRequestSchema = z.object({
  username: z.string(),
  email: z.string(),
  password: z.string(),
  platform: z.string(),
  guestId: z.string().default(""),
  isTestAccount: z.boolean().default(false),
});

export type RegisterRequestInput = z.input<typeof RegisterRequestSchema>;
export type RegisterRequestData = z.output<typeof RegisterRequestSchema>;
